class CollectionDefinition {
  static final int = CollectionDefinition(name: "Int", scalar: true);
  static final float = CollectionDefinition(name: "Float", scalar: true);
  static final dateTime = CollectionDefinition(name: "DateTime", scalar: true);
  static final json = CollectionDefinition(name: "Json", scalar: true);
  static final id = CollectionDefinition(name: "ID", scalar: true);
  static final uuid = CollectionDefinition(name: "UUID", scalar: true);
  String name;
  List<CollectionFieldDef> fields;
  final bool scalar;

  CollectionDefinition({
    required this.name,
    this.fields = const [],
    this.scalar = false,
  });
}

class CollectionFieldDef {
  String name;

  ///If type refers to another collection, this is the def of that
  CollectionDefinition type;
  bool isList = false;

  CollectionFieldDef({
    required this.name,
    required this.type,
    this.isList = false,
  });
}
