import 'package:hypi_tink_api/casm.dart';

class TargetDevice with CASMEventLike<TargetDevice> {
  final double width;
  final double height;
  final String name;

  TargetDevice(this.name, this.width, this.height);

  @override
  bool get asEventProvider => true;

  @override
  String get eventName => editorDeviceEvent;
}

const String editorDeviceEvent = 'tink.editor.device';
